var Constants = {
    HOSTPORT:   8888
}

var p4Var = {
    SERVERADDRESS: 'Address',
    USERNAME: 'User'
}

/**
 * Module dependencies.
 */

var fs = require('fs');
    express = require('express'),
    routes = require('./routes'),
    //http = require('http'),
    https = require('https'),
    path = require('path');

var app = express();

// all environments
app.set('port', process.env.PORT || Constants.HOSTPORT);
app.set('views', __dirname + '/views');
app.set('view engine', 'jade');
app.use(express.favicon());
app.use(express.logger('dev'));
app.use(express.bodyParser());
app.use(express.methodOverride());
app.use(app.router);
app.use(express.static(path.join(__dirname, 'public')));

// development only
if ('development' == app.get('env')) {
  app.use(express.errorHandler());
}

app.get('/', routes.index);
app.post('/connect', routes.login);
app.get('/servers', routes.servers);
app.get('p4vars', routes.p4vars);
//app.get('/servers/:id', routes.serverInfo);

var privateKey  = fs.readFileSync('./public/sslcert/key.pem').toString(),
    certificate = fs.readFileSync('./public/sslcert/cert.pem').toString(),
    options = {
        key: privateKey,
        cert: certificate
    };

https.createServer(options, app).listen(app.get('port'), function(){
  console.log('Express server listening on port ' + app.get('port'));
});
